package com.cool.store.service;

import com.cool.store.context.LoginUserInfo;
import com.cool.store.request.BaseUserInfoRequest;
import com.cool.store.request.IndustryCognitionInfoRequest;
import com.cool.store.request.PartnerIntentInfoRequest;
import com.cool.store.request.PartnerWantShopInfoRequest;
import com.cool.store.vo.PartnerIntentApplyInfoVO;
import com.cool.store.vo.PartnerIntentInfoVO;
import com.cool.store.vo.PartnerUserInfoVO;
import com.github.pagehelper.PageInfo;

/**
 * @Author suzhuhong
 * @Date 2023/6/9 14:54
 * @Version 1.0
 */
public interface HyPartnerIntentInfoService {


    /**
     * 招商经理 意向申请阶段 待处理 待跟进列表
     * @param userId
     * @param type
     * @param pageSize
     * @param pageNumber
     * @return
     */
    PageInfo<PartnerIntentApplyInfoVO> getPartnerIntentApplyList(String userId, String type, Integer pageSize, Integer pageNumber);

    /**
     * 根据线索查询加盟商意向申请信息
     * @param lineId
     * @return
     */
    PartnerIntentInfoVO getPartnerIntentApplyDetail(Long lineId);

    /**
     * 员工端 修改加盟商意向信息
     * @param baseUserInfoRequest
     * @return
     */
    Boolean updatePartnerIntentInfo(LoginUserInfo userInfo,BaseUserInfoRequest baseUserInfoRequest);

    Integer submitPartnerIntentInfo(PartnerIntentInfoRequest partnerIntentInfoRequest);

    String submitWantShopInfo(PartnerWantShopInfoRequest request);

    Boolean submitIndustryCognitionInfo(IndustryCognitionInfoRequest request);

    PartnerIntentInfoVO queryPartnerIntentInfo(PartnerUserInfoVO userInfoVO, Long lineId);

    PartnerIntentInfoVO queryWantShopInfo(PartnerUserInfoVO userInfoVO, Long lineId);

    PartnerIntentInfoVO queryIndustryCognitionInfo(PartnerUserInfoVO userInfoVO, Long lineId);


}
